# Gridlock - a collection of grid-based strategy games
# Copyright (c) 2009 Brian Nenninger (brian@dozingcatsoftware.com)
# Gridlock comes with ABSOLUTELY NO WARRANTY, and is released under version 3 of the GNU GPL.

from OpenGL.GL import *
import PGOpenGLUtils
import Preferences

def drawCell(state, coord, value, scale):
    if value!=0:
        # draw normal cylinder, double for king (shifted slightly so we can more easily see both checkers)
        color = Preferences.prefs.player_color(abs(value), as_float=True)
        PGOpenGLUtils.draw_cylinder(scale=scale, color=color, height=0.5)
        if value<0:
            glTranslatef(0.05*scale, 0.08*scale, 0.5*scale)
            PGOpenGLUtils.draw_cylinder(scale=scale, color=color, height=0.5)
        return True
    return False
    